org.apache.ignite.visor.plugin

## Class VisorExtensionPoint

- java.lang.Object
- - org.apache.ignite.visor.plugin.VisorExtensionPoint

- All Implemented Interfaces:
    ro.fortsoft.pf4j.ExtensionPoint
  Direct Known Subclasses:
    VisorPluggableTab

      public abstract class VisorExtensionPoint
      extends Object
      implements ro.fortsoft.pf4j.ExtensionPoint

  Abstract base class for Visor plugin extension point.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VisorExtensionPoint(VisorPluginModel model)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VisorPluginModel` | `model()`
    `abstract String` | `name()`
    `void` | `onConnected()` Will be executed on Visor connect to grid.
    `void` | `onDisconnected()` Will be executed on Visor disconnect from grid.
    `void` | `onEventsChanged()` Will be executed on Visor events changed.
    `void` | `onModelChanged()` Will be executed on Visor model changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisorExtensionPoint

          protected VisorExtensionPoint(VisorPluginModel model)

      Parameters:
        `model` - Visor model.

  - ### Method Detail

    - #### model

          public VisorPluginModel model()

      Returns:
        Visor model.

    - #### name

          public abstract String name()

      Returns:
        Plugin name.

    - #### onModelChanged

          public void onModelChanged()

      Will be executed on Visor model changed.

    - #### onEventsChanged

          public void onEventsChanged()

      Will be executed on Visor events changed.

    - #### onConnected

          public void onConnected()

      Will be executed on Visor connect to grid.

    - #### onDisconnected

          public void onDisconnected()

      Will be executed on Visor disconnect from grid.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021